# Class VOTableSerialization

java.lang.Object
uk.ac.starlink.votable.soap.VOTableSerialization

public class VOTableSerialization extends Object
Utility class for use with VOTable custom serialization for AXIS.

Since:
  23 Mar 2005
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`QNAME_VOTABLE`
QName used to describe objects which are serialized using this serializer.

## Method Summary

Modifier and Type
Method
Description
`static void`
`configureCall(org.apache.axis.client.Call call)`
Configures a `Call` object for use with VOTable custom serialization by registering the requisite type mappings, and perhaps other things too.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### QNAME_VOTABLE

public static final QName QNAME_VOTABLE
QName used to describe objects which are serialized using this serializer. This is currently `{http://www.ivoa.net/xml/VOTable/v1.1}VOTABLE`.

## Method Details

### configureCall

public static void configureCall(org.apache.axis.client.Call call)
Configures a `Call` object for use with VOTable custom serialization by registering the requisite type mappings, and perhaps other things too.

Parameters:
  `call` - call to configure